## gtkspell

gtkspell

## Functions

GtkSpell * | gtkspell_new_attach ()
gboolean | gtkspell_set_language ()
void | gtkspell_recheck_all ()
GtkSpell * | gtkspell_get_from_text_view ()
void | gtkspell_detach ()

## Types and Values

| GtkSpell
#define | GTKSPELL_ERROR
enum | GtkSpellError

## Includes

    #include <gtkspell/gtkspell.h>

## Description

## Functions

### gtkspell_new_attach ()

    GtkSpell *
    gtkspell_new_attach (GtkTextView *view,
                         const gchar *lang,
                         GError **error);

Create a new GtkSpell object attached to `view` with language `lang` .

#### Parameters

view | The GtkTextView to attach to. |
lang | The language to use, in a form pspell understands (it appears to be a locale specifier?). |
error | Return location for error. |

#### Returns

a new GtkSpell object, or `NULL` on error.

### gtkspell_set_language ()

    gboolean
    gtkspell_set_language (GtkSpell *spell,
                           const gchar *lang,
                           GError **error);

Set the language on `spell` to `lang` , possibily returning an error in `error` .

#### Parameters

spell | The GtkSpell object. |
lang | The language to use, in a form enchant understands (it appears to be a locale specifier?). |
error | Return location for error. |

#### Returns

FALSE if there was an error.

### gtkspell_recheck_all ()

    void
    gtkspell_recheck_all (GtkSpell *spell);

Recheck the spelling in the entire buffer.

#### Parameters

spell | The GtkSpell object. |

### gtkspell_get_from_text_view ()

    GtkSpell *
    gtkspell_get_from_text_view (GtkTextView *view);

Retrieves the GtkSpell object attached to a text view.

#### Parameters

view | A GtkTextView. |

#### Returns

the GtkSpell object, or `NULL` if there is no GtkSpell attached to `view` .

### gtkspell_detach ()

    void
    gtkspell_detach (GtkSpell *spell);

Detaches this GtkSpell from its text view. Use `gtkspell_get_from_text_view()` to retrieve a GtkSpell from a GtkTextView.

#### Parameters

spell | A GtkSpell. |

## Types and Values

### GtkSpell

    typedef struct _GtkSpell GtkSpell;

### GTKSPELL_ERROR

    #define GTKSPELL_ERROR gtkspell_error_quark()

### enum GtkSpellError

#### Members

GTKSPELL_ERROR_BACKEND |  |